Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/7798/?format=api
{ "ob_id": 7798, "uuid": "93725f5bda271cb38404c6515b8191da", "title": "L1b AVHRR-3 Radiometric imager data onboard MetOp-B", "abstract": "Data from the Advanced Very High Resolution Radiometer-3 (AVHRR-3) on board the Eumetsat Polar System (EPS) MetOp-B satellite.\r\nAVHRR-3 scans the Earth's surface in six spectral bands in the range of 0.58-12.5 microns, to provide day and night imaging of land, water and clouds and measurements of sea surface temperature, ice snow and vegetation cover. The instruments were provided by the National Oceanic and Atmospheric Administration (NOAA) and is flown on the EPS-METOP series of satellites.\r\n The NEODC currently archives the L1B data, which were acquired directly from EUMETSAT.", "keywords": "", "publicationState": "published", "dataPublishedTime": "2014-09-22T05:58:22", "doiPublishedTime": null, "updateFrequency": "", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/7799/?format=api", "dataPath": "/neodc/avhrr3_metop_b/data", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 23348679371528, "numberOfFiles": 54698, "fileFormat": null }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/5172/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data delivered for archiving", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5059/?format=api" ], "projects": [], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/7797/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30129/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32271/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32276/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32270/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32273/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32274/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32275/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32277/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32272/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2634/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/avhrr-3.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }